import { Plugin } from '../core/plugin'
import Storage from './Storage'

type PluginConfig = {}

const LocalStoragePlugin: Plugin<PluginConfig> = config => ({
  currentUserId,
}) => {
  new Storage(currentUserId, 'notes')
  new Storage(currentUserId, 'folders')
}

export default LocalStoragePlugin
