import * as ColumnTypes from '../utilities/ColumnTypes'

const Tag: ColumnTypes.Model = {
  modelName: 'Tag',
  tableName: 'tags',
  options: {
    timestamps: false,
  },
  attributes: {
    id: {
      allowNull: true,
      primaryKey: true,
      type: ColumnTypes.UUIDV4,
    },
    name: {
      allowNull: false,
      type: ColumnTypes.STRING,
    },
  }
}

export default Tag
