import { Plugin } from '../core/plugin'
import Storage from './Storage'

type PluginConfig = {
  baseUrl: string,
}

const RemoteStoragePlugin: Plugin<PluginConfig> = config => ({
  currentUserId,
}) => {
  new Storage(currentUserId, config.baseUrl, 'notes')
  new Storage(currentUserId, config.baseUrl, 'folders')
}

export default RemoteStoragePlugin
